org.kie.api.task

## Interface TaskLifeCycleEventListener

- All Superinterfaces:
    EventListener

      public interface TaskLifeCycleEventListener
      extends EventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterTaskActivatedEvent(TaskEvent event)`
    `void` | `afterTaskAddedEvent(TaskEvent event)`
    `void` | `afterTaskClaimedEvent(TaskEvent event)`
    `void` | `afterTaskCompletedEvent(TaskEvent event)`
    `void` | `afterTaskDelegatedEvent(TaskEvent event)`
    `void` | `afterTaskExitedEvent(TaskEvent event)`
    `void` | `afterTaskFailedEvent(TaskEvent event)`
    `void` | `afterTaskForwardedEvent(TaskEvent event)`
    `void` | `afterTaskNominatedEvent(TaskEvent event)`
    `void` | `afterTaskReleasedEvent(TaskEvent event)`
    `void` | `afterTaskResumedEvent(TaskEvent event)`
    `void` | `afterTaskSkippedEvent(TaskEvent event)`
    `void` | `afterTaskStartedEvent(TaskEvent event)`
    `void` | `afterTaskStoppedEvent(TaskEvent event)`
    `void` | `afterTaskSuspendedEvent(TaskEvent event)`
    `void` | `beforeTaskActivatedEvent(TaskEvent event)`
    `void` | `beforeTaskAddedEvent(TaskEvent event)`
    `void` | `beforeTaskClaimedEvent(TaskEvent event)`
    `void` | `beforeTaskCompletedEvent(TaskEvent event)`
    `void` | `beforeTaskDelegatedEvent(TaskEvent event)`
    `void` | `beforeTaskExitedEvent(TaskEvent event)`
    `void` | `beforeTaskFailedEvent(TaskEvent event)`
    `void` | `beforeTaskForwardedEvent(TaskEvent event)`
    `void` | `beforeTaskNominatedEvent(TaskEvent event)`
    `void` | `beforeTaskReleasedEvent(TaskEvent event)`
    `void` | `beforeTaskResumedEvent(TaskEvent event)`
    `void` | `beforeTaskSkippedEvent(TaskEvent event)`
    `void` | `beforeTaskStartedEvent(TaskEvent event)`
    `void` | `beforeTaskStoppedEvent(TaskEvent event)`
    `void` | `beforeTaskSuspendedEvent(TaskEvent event)`

- - ### Method Detail

    - #### beforeTaskActivatedEvent

          void beforeTaskActivatedEvent(TaskEvent event)

    - #### beforeTaskClaimedEvent

          void beforeTaskClaimedEvent(TaskEvent event)

    - #### beforeTaskSkippedEvent

          void beforeTaskSkippedEvent(TaskEvent event)

    - #### beforeTaskStartedEvent

          void beforeTaskStartedEvent(TaskEvent event)

    - #### beforeTaskStoppedEvent

          void beforeTaskStoppedEvent(TaskEvent event)

    - #### beforeTaskCompletedEvent

          void beforeTaskCompletedEvent(TaskEvent event)

    - #### beforeTaskFailedEvent

          void beforeTaskFailedEvent(TaskEvent event)

    - #### beforeTaskAddedEvent

          void beforeTaskAddedEvent(TaskEvent event)

    - #### beforeTaskExitedEvent

          void beforeTaskExitedEvent(TaskEvent event)

    - #### beforeTaskReleasedEvent

          void beforeTaskReleasedEvent(TaskEvent event)

    - #### beforeTaskResumedEvent

          void beforeTaskResumedEvent(TaskEvent event)

    - #### beforeTaskSuspendedEvent

          void beforeTaskSuspendedEvent(TaskEvent event)

    - #### beforeTaskForwardedEvent

          void beforeTaskForwardedEvent(TaskEvent event)

    - #### beforeTaskDelegatedEvent

          void beforeTaskDelegatedEvent(TaskEvent event)

    - #### beforeTaskNominatedEvent

          void beforeTaskNominatedEvent(TaskEvent event)

    - #### afterTaskActivatedEvent

          void afterTaskActivatedEvent(TaskEvent event)

    - #### afterTaskClaimedEvent

          void afterTaskClaimedEvent(TaskEvent event)

    - #### afterTaskSkippedEvent

          void afterTaskSkippedEvent(TaskEvent event)

    - #### afterTaskStartedEvent

          void afterTaskStartedEvent(TaskEvent event)

    - #### afterTaskStoppedEvent

          void afterTaskStoppedEvent(TaskEvent event)

    - #### afterTaskCompletedEvent

          void afterTaskCompletedEvent(TaskEvent event)

    - #### afterTaskFailedEvent

          void afterTaskFailedEvent(TaskEvent event)

    - #### afterTaskAddedEvent

          void afterTaskAddedEvent(TaskEvent event)

    - #### afterTaskExitedEvent

          void afterTaskExitedEvent(TaskEvent event)

    - #### afterTaskReleasedEvent

          void afterTaskReleasedEvent(TaskEvent event)

    - #### afterTaskResumedEvent

          void afterTaskResumedEvent(TaskEvent event)

    - #### afterTaskSuspendedEvent

          void afterTaskSuspendedEvent(TaskEvent event)

    - #### afterTaskForwardedEvent

          void afterTaskForwardedEvent(TaskEvent event)

    - #### afterTaskDelegatedEvent

          void afterTaskDelegatedEvent(TaskEvent event)

    - #### afterTaskNominatedEvent

          void afterTaskNominatedEvent(TaskEvent event)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.